_Elm_Entry_Data Struct Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Elm_Entry_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields
Evas_Object * | hit_rect
Evas_Object * | entry_edje
Evas_Object * | scr_edje
Evas_Object * | hoversel
Evas_Object * | mgf_bg
Evas_Object * | mgf_clip
Evas_Object * | mgf_proxy
Evas_Object * | start_handler
Evas_Object * | end_handler
Ecore_Job * | deferred_recalc_job
Ecore_Timer * | longpress_timer
Ecore_Timer * | delay_write
Ecore_Idler * | append_text_idler
char * | append_text_left
char * | prediction_hint
int | append_text_position
int | append_text_len
int | append_text_chunk
double | append_text_last_time
const char * | cut_sel
const char * | text
const char * | file
Elm_Text_Format | format
Evas_Coord | last_w
Evas_Coord | ent_mw
Evas_Coord | ent_mh
Evas_Coord | downx
Evas_Coord | downy
Evas_Coord | ox
Evas_Coord | oy
Eina_List * | items
Eina_List * | item_providers
| context menu item list
Eina_List * | markup_filters
Ecore_Job * | hov_deljob
Mod_Api * | api
int | cursor_pos
Elm_Scroller_Policy | policy_h
Elm_Scroller_Policy | policy_v
Elm_Wrap_Type | line_wrap
Elm_Input_Panel_Layout | input_panel_layout
Elm_Autocapital_Type | autocapital_type
Elm_Input_Panel_Lang | input_panel_lang
Elm_Input_Panel_Return_Key_Type | input_panel_return_key_type
Elm_Input_Hints | input_hints
Edje_Cursor | sel_handler_cursor
void * | input_panel_imdata
Eina_List * | edje_signals
int | input_panel_imdata_len
int | input_panel_layout_variation
int | validators
struct {
Evas_Object * hover_parent
| hover parent object. More...
Evas_Object * pop
| hidden icon for hover target
Evas_Object * hover
| hover object
const char * hover_style
| style of a hover object
} | anchor_hover
Elm_Cnp_Mode | cnp_mode
Elm_Sel_Format | drop_format
Eina_Bool | input_panel_return_key_disabled: 1
Eina_Bool | drag_selection_asked: 1
Eina_Bool | sel_handler_disabled: 1
Eina_Bool | start_handler_down: 1
Eina_Bool | start_handler_shown: 1
Eina_Bool | end_handler_down: 1
Eina_Bool | end_handler_shown: 1
Eina_Bool | input_panel_enable: 1
Eina_Bool | prediction_allow: 1
Eina_Bool | selection_asked: 1
Eina_Bool | auto_return_key: 1
Eina_Bool | have_selection: 1
Eina_Bool | deferred_cur: 1
Eina_Bool | context_menu: 1
Eina_Bool | long_pressed: 1
Eina_Bool | cur_changed: 1
Eina_Bool | single_line: 1
Eina_Bool | can_write: 1
Eina_Bool | auto_save: 1
Eina_Bool | password: 1
Eina_Bool | editable: 1
Eina_Bool | disabled: 1
Eina_Bool | h_bounce: 1
Eina_Bool | v_bounce: 1
Eina_Bool | has_text: 1
Eina_Bool | use_down: 1
Eina_Bool | sel_mode: 1
Eina_Bool | sel_allow: 1
Eina_Bool | changed: 1
Eina_Bool | scroll: 1
Eina_Bool | input_panel_show_on_demand: 1
Eina_Bool | file_setting: 1

## Field Documentation

## ◆ hover_parent

Evas_Object* _Elm_Entry_Data::hover_parent

hover parent object.

entry is a hover parent object by default